Package qsardes.descriptor.qsarwb

# Class QsarWBElectrTopolStateIndex

java.lang.Object
qsardes.descriptor.DescriptorElectrTopolStateIndex
qsardes.descriptor.qsarwb.QsarWBElectrTopolStateIndex

All Implemented Interfaces:
  `Descriptor`

public final class QsarWBElectrTopolStateIndex extends DescriptorElectrTopolStateIndex
Electrotopological state index descriptors (QSAR-WB Descriptors).
Calculates electrotopological state index descriptors.
Returns
sumI - Sum of the intrinsic states.
meanI - Mean intrinsic states.
hmax - Maximum H E-State.
gmax - Maximum E-State.
hmin - Minimum H E-State.
gmin - Minimum E-State.
LipoaffinityIndex - Lipoaffinity index.
MAXDN - Molecule maximum negative intrinsic state difference related to the nucleophilicity of the molecule.
MAXDP - Molecule maximum positive intrinsic state difference related to the electrophilicity of the molecule.
MAXDN2 - Molecule maximum negative intrinsic state difference related to the nucleophilicity of the molecule.
MAXDP2 - Molecule maximum positive intrinsic state difference related to the electrophilicity of the molecule.
DELS - Molecule sum of all atoms intrinsic state (Molconn-Z definition) differences.
DELS2 - Molecule sum of all atoms intrinsic state (Kier-Hall definition) differences.
#sLi, #ssBe, #ssssBem, #ssBH, #sssB, #ssssBm, #sCH3, #dCH2, #ssCH2, #tCH, #dsCH, #aaCH, #sssCH, #ddC, #tsC, #dssC, #aasC, #aaaC, #ssssC, #sNH3p, #sNH2, #ssNH2p, #dNH, #ssNH, #aaNH, #tN, #sssNHp, #dsN, #aaN, #sssN, #ddsN, #aasN, #ssssNp, #sOH, #dO, #ssO, #aaO, #sF, #sSiH3, #ssSiH2, #sssSiH, #ssssSi, #sPH2, #ssPH, #sssP, #dsssP, #sssssP, #sSH, #dS, #ssS, #aaS, #dssS, #ddssS, #sCl, #sGeH3, #ssGeH2, #sssGeH, #ssssGe, #sAsH2, #ssAsH, #sssAs, #dsssAs, #sssssAs, #sSeH, #dSe, #ssSe, #aaSe, #dssSe, #ddssSe, #sBr, #sSnH3, #ssSnH2, #sssSnH, #ssssSn, #sI, #sPbH3, #ssPbH2, #sssPbH, #ssssPb, #sBH2, #aOm, #sOm, #ddsP, #ssssssS, #Sm, #ddsAs, #ssssssSe, #HBd, #wHBd, #HBa, #wHBa, #HBint2, #HBint3, #HBint4, #HBint5, #HBint6, #HBint7, #HBint8, #HBint9, #HBint10, #HCHnX, #HCsats, #HCsatu, #HAvin, #Hother, #Hmisc, #HsOH, #HdNH, #HsSH, #HsNH2, #HssNH, #HaaNH, #HsNpH3, #HssNpH2, #HsssNpH, #HtCH, #HdCH2, #HdsCH, #HaaCH
Where # is n = count, S = sum, min = minimum, max = maximum.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QsarWBElectrTopolStateIndex()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Map<String,String>`
  `create_descr_max_map()`
  `protected Map<String,String>`
  `create_descr_min_map()`
  `protected Molecule.IntrState`
  `get_intrinsic_state(Molecule mol, org.openscience.cdk.interfaces.IAtom atom)`
  `protected double`
  `get_max()`
  `protected double`
  `get_max_estate(double gmax, double estate, boolean is_first_value)`
  `protected double`
  `get_min()`
  `protected double`
  `get_min_estate(double gmin, double estate, boolean is_first_value)`

  ### Methods inherited from class qsardes.descriptor.DescriptorElectrTopolStateIndex

  `get_all_misc_name_list, get_chem_estate_values_map, get_descriptor_names, get_descriptor_type, get_descriptor_values, get_max_out_map, get_min_out_map, get_original_kier_name, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QsarWBElectrTopolStateIndex

    public QsarWBElectrTopolStateIndex()

- ## Method Details

  - ### get_min

    protected double get_min()
    Specified by:
      `get_min` in class `DescriptorElectrTopolStateIndex`

  - ### get_max

    protected double get_max()
    Specified by:
      `get_max` in class `DescriptorElectrTopolStateIndex`

  - ### get_min_estate

    protected double get_min_estate(double gmin, double estate, boolean is_first_value)
    Specified by:
      `get_min_estate` in class `DescriptorElectrTopolStateIndex`

  - ### get_max_estate

    protected double get_max_estate(double gmax, double estate, boolean is_first_value)
    Specified by:
      `get_max_estate` in class `DescriptorElectrTopolStateIndex`

  - ### create_descr_min_map

    protected Map<String,String> create_descr_min_map()
    Specified by:
      `create_descr_min_map` in class `DescriptorElectrTopolStateIndex`

  - ### create_descr_max_map

    protected Map<String,String> create_descr_max_map()
    Specified by:
      `create_descr_max_map` in class `DescriptorElectrTopolStateIndex`

  - ### get_intrinsic_state

    protected Molecule.IntrState get_intrinsic_state(Molecule mol, org.openscience.cdk.interfaces.IAtom atom)
    Specified by:
      `get_intrinsic_state` in class `DescriptorElectrTopolStateIndex`